<?php
/**
 * @version 1.0
 * @package DJ-Tabs
 * @copyright Copyright (C) 2013 DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Piotr Dobrakowski - piotr.dobrakowski@design-joomla.eu
 *
 * DJ-Tabs is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DJ-Tabs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DJ-Tabs. If not, see <http://www.gnu.org/licenses/>.
 *
 */

defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.modellist');
$com_path = JPATH_SITE.'/components/com_content/';
require_once (JPATH_BASE . DS . 'components' . DS . 'com_content' . DS . 'helpers' . DS . 'route.php');
require_once (JPATH_BASE . DS . 'components' . DS . 'com_djtabs' . DS . 'helpers' . DS . 'helper.php');
JModelLegacy::addIncludePath(JPATH_BASE . DS . 'components' . DS . 'com_content' . DS . 'models');
JModelLegacy::addIncludePath($com_path . '/models', 'ContentModel');
require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'query.php');

class DJTabsModelTabs extends JModelList
{

 public static function getTabs($groupid) {
 	
        $db = JFactory::getDBO();
        $query = 'SELECT * FROM #__djtabs_items ' 
        		.'WHERE group_id = '.$groupid.' AND published=1 '
        		.'ORDER BY ordering ';
        $db -> setQuery($query);
        $tabs = $db -> loadObjectList();

        foreach ($tabs as $tab) {
        	    	
			$registry = new JRegistry();
            $registry -> loadString($tab -> params);
            $tab -> params = $registry ;//-> toObject();

            $registry = JComponentHelper::getParams('com_djtabs'); //$app->getParams();
            
            //$app= JFactory::getApplication();
			//$registry = $app->getParams();
			//print_r($registry);//die();
			//echo "<br><br>";

		   //$registry->merge($tab -> params);
		   //$tab -> params = $registry;
		   
		   //echo '<pre>'; print_r($tab -> params); echo '</pre>';
		   
            $param_names[] ='date';
			$param_names[] ='date_position';
            $param_names[] ='title';
            $param_names[] ='title_link';
            $param_names[] ='title_char_limit';
            $param_names[] ='image';
            $param_names[] ='image_position';
            $param_names[] ='image_link';
            $param_names[] ='image_width';
            $param_names[] ='image_height';
            $param_names[] ='description';
            $param_names[] ='description_link';
            $param_names[] ='HTML_in_description';
            $param_names[] ='description_char_limit';
            $param_names[] ='readmore_button';
            //$param_names[] ='readmore_text';
            $param_names[] ='category';
            $param_names[] ='category_link';
            $param_names[] ='author';
			
			
			
			foreach($param_names as $name){  //assigning global params if not numeric or not set/set global
				if (!is_numeric($tab -> params -> get($name)))
					$tab -> params -> set($name,$registry->get($name));
			}		
				
			if ($tab -> params -> get('readmore_text','')=='')
				$tab -> params -> set('readmore_text',$registry->get('readmore_text'));

            if ($tab -> type == 1)//category
                  $tab->content = self::getArticleCategory($tab -> params);
            else if ($tab -> type == 2)//article
                $tab -> content = self::getArticle($tab -> params);	
			else if ($tab -> type == 3)//module
                $tab -> mod_pos = $tab -> params ->get('module_position');
			else if ($tab -> type == 4)//video link
                $tab -> video_link = self::convertVideoLink($tab -> params ->get('video_link'));
			
			
			if(JFactory::getApplication()->getParams()->get('video_autopause','')=='') 
				$tab->params->set('video_autopause',JComponentHelper::getParams('com_djtabs')->get('video_autopause',2));

			//setState('params', $appParams);
			//echo '<pre>'; print_r($tab -> mod_pos); echo '</pre>';	
        }

        return $tabs;
    }


    public static function getArticle($tab_params) {

		$article_id = $tab_params -> get('article_id');

        $app = JFactory::getApplication();
        $model_article = JModelLegacy::getInstance('Article', 'ContentModel', array('ignore_request' => true));
		//print_r($app -> getParams('com_content'));die();
        $model_article -> setState('params', $app -> getParams('com_content'));//merging specific srticle params into global article params

		$item = $model_article -> getItem($article_id);
		
        if ($item) {
            //$item->slug = ($item->alias) ? ($item->id . ":" . $item->alias) : $item->id;
            $item -> link = JRoute::_(ContentHelperRoute::getArticleRoute($item -> id, $item -> catid));			
            $item -> cat_link = JRoute::_(ContentHelperRoute::getCategoryRoute($item -> catid));
			
			self::cleanText($item->introtext);
			self::showMT($item->introtext);
			
			$item->params = ($item->params ? $item->params : $app -> getParams('com_content'));//in case of not loading article params
			self::mergeArticleParams($tab_params, $item->params);
			
        }

        return $item;
    }


    public static function getArticleCategory($tab_params) {

		$category_id = $tab_params->get('category_id', 0);
		$article_limit = $tab_params->get('article_limit', 0);

        // Get an instance of the generic articles model
        $articles = JModelLegacy::getInstance('Category', 'ContentModel', array('ignore_request' => true));
        $articles->setState('category.id', $category_id);
		//$articles->setState('list.ordering', 'a.name');
        $app = JFactory::getApplication();
        $appParams = $app->getParams('com_content');

        $articles->setState('params', $appParams);
        $articles->setState('list.start', 0);
        $articles->setState('list.limit', $article_limit);
        $articles->setState('filter.published', 1);
		
		$items = $articles -> getItems();
/*
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('#__content');
		$query->where('catid="'.$category_id.'"');
		
		$db->setQuery((string)$query);
		$items = $db->loadObjectList();
*/
		$articles_ordering = $tab_params->get('articles_ordering','');
		if ($articles_ordering)
			JArrayHelper::sortObjects($items, $articles_ordering, $tab_params->get('articles_ordering_direction','1'));
		
		$min_date = $tab_params->get('articles_min_date','');
		$max_date = $tab_params->get('articles_max_date','');
		
		foreach($items as $key => $item){
		 	/*
			if($item -> alias){
                $item -> slug = $item -> id . ":" . $item -> alias;
            }else{
                $item -> slug = $item -> id;
            }
			 * */
			if ($min_date){
				if ($item->created < $min_date)
					unset($items[$key]);
			}
			if ($max_date){
				if ($item->created > $max_date)
					unset($items[$key]);
			}
			
            $item -> link = JRoute::_(ContentHelperRoute::getArticleRoute($item -> id, $item -> catid));
			$item -> cat_link = JRoute::_(ContentHelperRoute::getCategoryRoute($item -> catid));
					
			self::cleanText($item->introtext);
			self::showMT($item->introtext);
			
			self::mergeArticleParams($tab_params, $item->params);
			
		}        

     return $items;
	 
    }

	public static function mergeArticleParams($tab_params, &$article_params) {

		if ($tab_params->get('author')!='')
			$article_params -> set('show_author',$tab_params->get('author'));
		if ($tab_params->get('title')!='')
			$article_params -> set('show_title',$tab_params->get('title'));
		if ($tab_params->get('title_link')!='')
			$article_params -> set('link_titles',$tab_params->get('title_link'));
		if ($tab_params->get('category')!='')
			$article_params -> set('show_category',$tab_params->get('category'));
		if ($tab_params->get('category_link')!='')
			$article_params -> set('link_category',$tab_params->get('category_link'));
		if ($tab_params->get('date')!='')
			$article_params -> set('show_create_date',$tab_params->get('date'));
		if ($tab_params->get('readmore_button')!='')
			$article_params -> set('show_readmore',$tab_params->get('readmore_button'));

	}

	static function cleanText(&$text) {
		
		$text = preg_replace('/{loadposition\s+(.*?)}/i', '', $text);
		$text = preg_replace('/{loadmodule\s+(.*?)}/i', '', $text);
		$text = preg_replace('/{djmedia\s*(\d*)}/i', '', $text);
		$text = preg_replace('/{djsuggester\s+(.*?)}/i', '', $text);
		$text = preg_replace('/{djtabs\s*(\d*)\s*(\d*)\s*(\w*)}/i', '', $text);
		
		//return $text;
	}

	static function showMT(&$introtext) {
		
		if (file_exists(JPATH_ROOT.'/plugins/content/djmediatools/djmediatools.php')){
			$MT = new DjTabsMediatoolsHelper;
			$MT->onContentPrepare($introtext);
		}
	}


	function getParams() {

		if (!isset($this->_params)) {
			//$params = JComponentHelper::getParams('com_djtabs');	
			$app = JFactory::getApplication();
			$mparams = $app->getParams(); 
			//$params->merge($mparams);
			$this->_params = $mparams;
		}

	return $this->_params;
	
	}
	
	static function convertVideoLink($link){
		
		if($_link=stristr($link,'youtube')){
			$_link = '//www.youtube.com/embed/'.str_replace('youtube.com/watch?v=','',$_link).'?wmode=opaque&rel=0';
		}
		else if($_link=stristr($link,'vimeo')){
			$_link = '//player.vimeo.com/video/'.str_replace('vimeo.com/','',$_link);
		}
		
		return $_link;
		
	}

	

}
